Bug 588406 (buildr) - Review Request: rubygem-buildr - Ruby Based build system that uses Maven style repositories
Summary: Review Request: rubygem-buildr - Ruby Based build system that uses Maven styl...
Status: CLOSED NOTABUG
Alias: buildr
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 588427 588428 588433 588435 588436 588437 588446 588461 588469 588470 588471 588472 588473 588474 588476 588477 602348
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-05-03 16:59 UTC by Adam Young
Modified: 2010-12-26 20:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-26 20:29:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Young 2010-05-03 16:59:43 UTC
Spec URL: http://github.com/admiyo/MySpecs/raw/master/rubygem-buildr.spec
SRPM URL: http://admiyo.fedorapeople.org/buildr-repo/rubygem-buildr-1.3.5-2.young.src.rpm
Description:  Apache Buildr is a build system for Java-based applications, including support for Scala, Groovy and a growing number of JVM languages and tools.  It is written in Ruby, and the buildfiles are straight ruby.

Comment 1 Adam Young 2010-05-03 17:02:27 UTC
buildr depends on many other rpms.  THis is the info for all of those other packages:

Available at the same URL s the above SRPM is:

rubygem-addressable-2.1.1-1.young.src.rpm
rubygem-Antwrap-0.7.0-1.young.src.rpm
rubygem-buildr-1.3.5-2.young.src.rpm
rubygem-columnize-0.3.1-1.young.src.rpm
rubygem-cucumber-0.6.4-1.young.src.rpm
rubygem-echoe-4.3-1.young.src.rpm
rubygem-fakefs-0.2.1-1.young.src.rpm
rubygem-heckle-1.4.3-1.young.src.rpm
rubygem-hpricot-0.8.2-1.young.src.rpm
rubygem-httpclient-2.1.5.2-1.young.src.rpm
rubygem-json_pure-1.2.3-1.young.src.rpm
rubygem-libxml-ruby-1.1.3-1.young.src.rpm
rubygem-linecache-0.43-1.young.src.rpm
rubygem-net-sftp-2.0.4-1.young.src.rpm
rubygem-net-ssh-2.0.21-1.young.src.rpm
rubygem-prawn-0.8.4-1.young.src.rpm
rubygem-prawn-core-0.8.4-1.young.src.rpm
rubygem-prawn-format-0.2.3-1.young.src.rpm
rubygem-prawn-layout-0.8.4-1.young.src.rpm
rubygem-prawn-security-0.8.4-1.young.src.rpm
rubygem-rjb-1.2.0-1.young.src.rpm
rubygem-rr-0.10.11-1.young.src.rpm
rubygem-ruby-debug-0.10.3-1.young.src.rpm
rubygem-ruby-debug-base-0.10.3-1.young.src.rpm
rubygem-rubyzip-0.9.1-1.young.src.rpm
rubygem-shoulda-2.10.3-1.young.src.rpm
rubygem-spork-0.8.2-1.young.src.rpm
rubygem-term-ansicolor-1.0.5-1.young.src.rpm
rubygem-webmock-0.9.1-1.young.src.rpm
rubygem-xml-simple-1.0.12-1.young.src.rpm


Spec files for all of these can be found in the git repo:
http://github.com/admiyo/MySpecs

Comment 2 Adam Young 2010-05-11 13:41:15 UTC
Updated the spec file:

http://github.com/admiyo/MySpecs/blob/ddead7dfa82e765d3d2bb54a789d36c9618d752e/rubygem-buildr.spec

Changes:

Added a patch for the version issue introduced by rubygems 1.3.6
Moved the gem install into the %build section.  This provides better debugging of the patch process.
Converted %define to %global
Removed duplicate %file entries for documents.

Comment 4 Adam Young 2010-05-17 15:06:31 UTC
http://admiyo.fedorapeople.org/buildr-repo/rubygem-buildr-1.3.5-6.young.src.rpm
http://github.com/admiyo/MySpecs/blob/b3f15623e82c3b322b7a7a082f193cd2ef07a1d8/rubygem-buildr.spec


Added a patch for a bug introduced by a change in the rubyzip API.  Now it uses named parameters, which will work with either 1.9.1 or 1.9.4 rubyzip.

Cleaned up rpmlint errors.


Note You need to log in before you can comment on or make changes to this bug.